﻿@model ThirdMVCAppMy.Models.Basket.BasketModel

@{
    ViewData["Title"] = "Index";
    Layout = "~/Views/Shared/_Layout.cshtml";
}

<h1>Index</h1>

<table class="table">
    <thead>
        <tr>
            <th>
                Блюдо
            </th>
            <th>
                Описание
            </th>
            <th>
                Ресторан
            </th>
            <th>
                Цена
            </th>
            <th>
                Кол-во
            </th>
            <th>
                Сумма
            </th>
            <th></th>
        </tr>
    </thead>
    <tbody>
        @foreach (var item in Model.Dishes)
        {
            <tr>
                <td>
                    @Html.DisplayFor(modelItem => item.Name)
                </td>
                <td>
                    @Html.DisplayFor(modelItem => item.Description)
                </td>
                <td>
                    @Html.DisplayFor(modelItem => item.RestaurantName)
                </td>
                <td>
                    @Html.DisplayFor(modelItem => item.Price)
                </td>
                <td>
                    @Html.DisplayFor(modelItem => item.Qty)
                </td>
                <td>
                    @Html.DisplayFor(modelItem => item.TotalAmountDish)
                </td>
                <td>
                    <td>
                        <form asp-action="DeleteFomBasket" asp-controller="Basket" method="post">
                            <input type="hidden" name="dishId" value="@item.Id" />
                            <input type="hidden" name="dishQty" value="@item.Qty" />
                            <input type="hidden" name="restaurantId" value="@item.RestaurantId" />
                            <input type="submit" value="Удалить из корзины" />
                        </form>
                    </td>
                </td>
                <td> </td>
            </tr>
        }
    </tbody>
</table>

<div>
    Пользователь:   @Model.UserName
</div>

<div>
    Кол-во порций:   @Model.TotalQty
</div>

<div>
    Общая сумма:   @Model.TotalAmount
</div>

<hr/>

<div class="row">
    <div class="col-md-4">
        <form asp-action="AddToOrder" method="post">
            <div class="form-group">
                <input hidden asp-for="RestaurantId" class="form-control" />
            </div>
            <div class="form-group">
                <input type="submit" value="ЗАКАЗАТЬ" class="btn btn-primary" />
            </div>
        </form>
    </div>
</div>

<div>
    @if (Model.Dishes.Count > 0)
    {
        <a asp-controller="Dish" asp-action="Index" asp-route-id="@Model.RestaurantId">Back to List</a>
    }
    else
    {
        <a asp-controller="Restaurant" asp-action="Index">Back to List</a>
    }
    
</div>
